GrailsProfilePublishGradlePlugin (Grails 4.0.3)
Date: 2020-04-03

Package: org.grails.gradle.plugin.profiles

## [Groovy] Class GrailsProfilePublishGradlePlugin

- org.grails.gradle.plugin.profiles.GrailsProfilePublishGradlePlugin

- A plugin for publishing profiles

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `doAddArtefact(org.gradle.api.Project project, org.gradle.api.publish.maven.MavenPublication publication)`
    `` | `protected java.lang.String` | `getDefaultClassifier()`
    `` | `protected java.util.Map<java.lang.String, java.lang.String>` | `getDefaultExtraArtifact(org.gradle.api.Project project)`
    `` | `protected java.lang.String` | `getDefaultGrailsCentralReleaseRepo()`
    `` | `protected java.lang.String` | `getDefaultGrailsCentralSnapshotRepo()`
    `` | `protected java.lang.String` | `getDefaultRepo()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsCentralPublishGradlePlugin` | `apply, doAddArtefact, getDefaultArtifactType, getDefaultClassifier, getDefaultDescription, getDefaultExtraArtifact, getDefaultGrailsCentralReleaseRepo, getDefaultGrailsCentralSnapshotRepo, getDefaultRepo, getErrorMessage`

- - ### Method Detail

    - #### @java.lang.Override protected void doAddArtefact(org.gradle.api.Project project, org.gradle.api.publish.maven.MavenPublication publication)

    - #### @java.lang.Override protected java.lang.String getDefaultClassifier()

    - #### @java.lang.Override protected java.util.Map<java.lang.String, java.lang.String> getDefaultExtraArtifact(org.gradle.api.Project project)

    - #### @java.lang.Override protected java.lang.String getDefaultGrailsCentralReleaseRepo()

    - #### @java.lang.Override protected java.lang.String getDefaultGrailsCentralSnapshotRepo()

    - #### @java.lang.Override protected java.lang.String getDefaultRepo()